## org.opengis.filter.identity
Interface FeatureId

All Superinterfaces:
  Identifier<String,Feature>

    @XmlElement(value="FeatureId")
    public interface FeatureId

extends Identifier<String,Feature>

Feature identifier. Features are identified as strings.

Since:
  GeoAPI 2.0
Version:
  Implementation specification 1.0

Method Summary
`String` `getID()` The identifier value, which is a string.
`boolean` `matches(Feature feature)` Evaluates the identifer value against the given feature.

Methods inherited from interface Identifier
`toString`

Method Detail

### getID

    @XmlElement(value="fid")
    String getID()

  The identifier value, which is a string.

  Specified by:
    `getID` in interface `Identifier<String,Feature>`

### matches

    boolean matches(Feature feature)

  Evaluates the identifer value against the given feature.

  Specified by:
    `matches` in interface `Identifier<String,Feature>`
  Parameters:
    `feature` - The feature to be tested.
  Returns:
    `true` if a match, otherwise `false`.

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.